ESG
Universes

Universes CES Overview

Get Aggregated CES Data for a whole universe

GET
https://api.textreveal.com/v3/universes/{universe_id}/esg/ces/stats/overview

Request

This API route is experimental.

Route name, parameters and responses might change.

Parameters

  • universe_id*uuid

    Unique identifier of the universe.

    Example: "75ebc096-749e-4b8f-b690-df13daf49c62"
  • sizeinteger

    Number of records per page

    Default: 10Range: [1, 1000]
  • pageinteger

    Page number, 1-based

    Minimum: 1
  • datedate (operator)

    Extraction date

    Example: "between:2022-01-01;2022-01-02"
  • order(field:direction (enum))[]

    Order to apply to the result.

    Possible fields are: date, min, max, avg_first, avg_last, avg.

    Possible directions are: asc and desc.

    You can specify multiples values.

    Default: [date:asc]Example: "date:asc"
  • function(string (enum))[]

    Aggregations to compute. Several can be requested at once, each one is returned under ces_score.

    Default: ["avg"]
  • periodstring (enum)

    Period to apply the functions to.

    Example: with period=quarter and function=avg_first, the result will contain the average CES of the universe on the first day of each quarter.

    Default: "all"Values: "all", "day", "week", "month", "quarter", "year"

Response

Response - 200

Aggregated CES Scores

  • data*object[]

    Paginated Universe CES Aggregation list.

  • size*integer

    Number of records per page requested.

    Minimum: 1
  • has_next*boolean

    True if there are more records available.

    Example: true
  • count*integer

    Number of records returned in the current page.

    Minimum: 0
Response
{
  "data": [
    {
      "period_start_date": "2025-05-06",
      "period_end_date": "2025-05-13",
      "ces_score": {
        "min": 89,
        "max": 89,
        "avg_first": 89,
        "avg_last": 89,
        "avg": 89
      }
    }
  ],
  "size": 1,
  "has_next": true,
  "count": 1
}

Error

Error - 400

Bad request

  • message*string

    Error message.

    Example: "Check the errors field for more details"
  • code*number (enum)

    Error code.

    Values: 400
  • reason*string (enum)

    Error reason.

    Values: "invalid"
  • errorsobject[]

    Possible error causes.

Response
{
  "message": "Check the errors field for more details",
  "code": 400,
  "reason": "invalid",
  "errors": [
    {
      "message": "string",
      "field": "size",
      "reason": "invalid_type"
    }
  ]
}

Error - 404

Not found

  • message*string

    Error message.

    Example: "The requested universe does not exist or is not visible to your company."
  • code*number (enum)

    Error code.

    Values: 404
  • reason*string (enum)

    Error reason.

    Values: "not_found"
Response
{
  "message": "The requested universe does not exist or is not visible to your company.",
  "code": 404,
  "reason": "not_found"
}

Generic errors are not shown, see Errors for more details.